DeliverOptions
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.deliver
Class DeliverOptions

    java.lang.Object
      org.apache.ivy.core.deliver.DeliverOptions

    public class DeliverOptions

extends java.lang.Object

A set of options used to do a deliver.

Constructor Summary
`DeliverOptions()` Creates an instance of DeliverOptions which require to be configured using the appropriate setters.
`DeliverOptions(java.lang.String status, java.util.Date pubDate, PublishingDependencyRevisionResolver pdrResolver, boolean validate, boolean resolveDynamicRevisions, java.lang.String[] confs)` Creates an instance of DeliverOptions with all options explicitly set.

Method Summary
`java.lang.String[]` | `getConfs()` Return the configurations which must be deliverd.
`PublishingDependencyRevisionResolver` | `getPdrResolver()` Return the pdrResolver that will be used during deliver for each dependency to get its published information.
`java.lang.String` | `getPubBranch()` Returns the branch with which the Ivy file should be delivered, or `null` if branch info shouldn't be changed.
`java.util.Date` | `getPubdate()`
`java.lang.String` | `getResolveId()` Returns the id of a previous resolve to use for delivering.
`java.lang.String` | `getStatus()` Returns the status to which the module should be delivered, or null if the current status should be kept.
`boolean` | `isGenerateRevConstraint()`
`boolean` | `isMerge()`
`boolean` | `isReplaceForcedRevisions()`
`boolean` | `isResolveDynamicRevisions()`
`boolean` | `isValidate()`
`static DeliverOptions` | `newInstance(IvySettings settings)` Returns an instance of DeliverOptions with options corresponding to default values taken from the given settings.
`DeliverOptions` | `setConfs(java.lang.String[] confs)` Sets the configurations to deliver.
`DeliverOptions` | `setGenerateRevConstraint(boolean generateRevConstraint)`
`DeliverOptions` | `setMerge(boolean merge)`
`DeliverOptions` | `setPdrResolver(PublishingDependencyRevisionResolver pdrResolver)` Sets the pdrResolver that will be used during deliver for each dependency to get its published information.
`DeliverOptions` | `setPubBranch(java.lang.String pubBranch)` Sets the branch with which the Ivy file should be delivered.
`DeliverOptions` | `setPubdate(java.util.Date pubdate)`
`DeliverOptions` | `setReplaceForcedRevisions(boolean replaceForcedRevisions)`
`DeliverOptions` | `setResolveDynamicRevisions(boolean resolveDynamicRevisions)`
`DeliverOptions` | `setResolveId(java.lang.String resolveId)` Sets the id of a previous resolve to use for delivering.
`DeliverOptions` | `setStatus(java.lang.String status)` Sets the status to which the module should be delivered, use null if the current status should be kept.
`DeliverOptions` | `setValidate(boolean validate)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeliverOptions

    public DeliverOptions()

  Creates an instance of DeliverOptions which require to be configured using the appropriate setters.

### DeliverOptions

    public DeliverOptions(java.lang.String status,
                          java.util.Date pubDate,
                          PublishingDependencyRevisionResolver pdrResolver,
                          boolean validate,
                          boolean resolveDynamicRevisions,
                          java.lang.String[] confs)

  Creates an instance of DeliverOptions with all options explicitly set.

Method Detail

### newInstance

    public static DeliverOptions newInstance(IvySettings settings)

  Returns an instance of DeliverOptions with options corresponding to default values taken from the given settings.

  Parameters:
    `settings` - The settings to use to get default option values
  Returns:
    a DeliverOptions instance ready to be used or customized

### getPdrResolver

    public PublishingDependencyRevisionResolver getPdrResolver()

  Return the pdrResolver that will be used during deliver for each dependency to get its published information. This can particularly useful when the deliver is made for a release, and when we wish to deliver each dependency which is still in integration. The PublishingDependencyRevisionResolver can then do the delivering work for the dependency and return the new (delivered) dependency info (with the delivered revision). Note that PublishingDependencyRevisionResolver is only called for each direct dependency.

  Returns:
    the pdrResolver that will be used during deliver

### setPdrResolver

    public DeliverOptions setPdrResolver(PublishingDependencyRevisionResolver pdrResolver)

  Sets the pdrResolver that will be used during deliver for each dependency to get its published information. This can particularly useful when the deliver is made for a release, and when we wish to deliver each dependency which is still in integration. The PublishingDependencyRevisionResolver can then do the delivering work for the dependency and return the new (delivered) dependency info (with the delivered revision). Note that PublishingDependencyRevisionResolver is only called for each direct dependency.

  Returns:
    the instance of DeliverOptions on which the method has been called, for easy method chaining

### isResolveDynamicRevisions

    public boolean isResolveDynamicRevisions()

### setResolveDynamicRevisions

    public DeliverOptions setResolveDynamicRevisions(boolean resolveDynamicRevisions)

### isReplaceForcedRevisions

    public boolean isReplaceForcedRevisions()

### setReplaceForcedRevisions

    public DeliverOptions setReplaceForcedRevisions(boolean replaceForcedRevisions)

### isValidate

    public boolean isValidate()

### setValidate

    public DeliverOptions setValidate(boolean validate)

### getPubdate

    public java.util.Date getPubdate()

### setPubdate

    public DeliverOptions setPubdate(java.util.Date pubdate)

### getStatus

    public java.lang.String getStatus()

  Returns the status to which the module should be delivered, or null if the current status should be kept.

  Returns:
    the status to which the module should be delivered

### setStatus

    public DeliverOptions setStatus(java.lang.String status)

  Sets the status to which the module should be delivered, use null if the current status should be kept.

  Returns:
    the instance of DeliverOptions on which the method has been called, for easy method chaining

### getResolveId

    public java.lang.String getResolveId()

  Returns the id of a previous resolve to use for delivering.

  Returns:
    the id of a previous resolve

### setResolveId

    public DeliverOptions setResolveId(java.lang.String resolveId)

  Sets the id of a previous resolve to use for delivering.

  Parameters:
    `resolveId` - the id of a previous resolve
  Returns:
    the instance of DeliverOptions on which the method has been called, for easy method chaining

### getConfs

    public java.lang.String[] getConfs()

  Return the configurations which must be deliverd. Returns `null` if all configurations has to be deliverd. Attention: the returned array can contain wildcards!

  Returns:
    the configurations to deliver

### setConfs

    public DeliverOptions setConfs(java.lang.String[] confs)

  Sets the configurations to deliver.

  Parameters:
    `confs` - the configurations to deliver
  Returns:
    the instance of DeliverOptions on which the method has been called, for easy method chaining

### getPubBranch

    public java.lang.String getPubBranch()

  Returns the branch with which the Ivy file should be delivered, or `null` if branch info shouldn't be changed.

  Returns:
    the branch with which the Ivy file should be delivered

### setPubBranch

    public DeliverOptions setPubBranch(java.lang.String pubBranch)

  Sets the branch with which the Ivy file should be delivered.

  Parameters:
    `pubBranch` - the branch with which the Ivy file should be delivered
  Returns:
    the instance of DeliverOptions on which the method has been called, for easy method chaining

### isGenerateRevConstraint

    public boolean isGenerateRevConstraint()

### setGenerateRevConstraint

    public DeliverOptions setGenerateRevConstraint(boolean generateRevConstraint)

### isMerge

    public boolean isMerge()

### setMerge

    public DeliverOptions setMerge(boolean merge)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD